Autor Tema: wifislax-updaters HILO 2  (Leído 197946 veces)

0 Usuarios y 1 Visitante están viendo este tema.

trax69

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #620 en: 21-11-2015, 17:13 (Sábado) »
Veo que estas subiendo una nueva versión DEV, a la noche cuando vuelva que de sobra estará subida del todo, la pruebo a ver si se me solucionan los problemas >.<.

Me he mirado el changelog esta interesante



Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15482
Re: wifislax-updaters HILO 2
« Respuesta #621 en: 21-11-2015, 21:38 (Sábado) »
mmm , creo que ya se por donde va lo del instalador


el initrd , crea el fstab y monta en  mtab


las opciones de montaje ya no son validas ...aunque se montan igualmente por que mount y umount del initrd son mas viejos.


al menos ya se por donde empezar a tocar

sol666

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #622 en: 21-11-2015, 23:46 (Sábado) »
estoy probandola un rato y de momento bien,una cosa que me he dado cuenta es lo rapido que se conecta a la red wifi.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15482
Re: wifislax-updaters HILO 2
« Respuesta #623 en: 22-11-2015, 21:19 (Domingo) »
he descubierto un bug , en el funciones ...

en la funcion que comprueba el numero de build del sistema para sumar una al numero de compilacion ,si el version es la misma.


lo que viene siendo tener dos log packages de un mismo paquete y en la misma version ..

eso en hdd no se va a dar el caso ,pero en live SI  ... por ejemplo se rompe un paquete y lo recompilas ,pero no hay version mas alta , se recompilara la misma version ... la primera vez no pasara nada ,por qued solo habra aun un log package ,pero si se juntaran 2 pues ya tendrias que el updater fallara


a mi me ha pasado ...por descuido ...tenia dos logs del mismo paquete y la misma version ..donde solo cambia el numero de build ...y vi el error ...  es bastante remoto , que alguien recompile un paquete hasta juntarse con 2 rotos y necesitar recompilar ..en ese caso lo mas sensato es..si ya recompilo una primera vez ...deshacerse de ese ..arrancar con el que venga de base, y recompilarlo entonces.


no se si se me entiende ...

paquete-v1  --> se rompe
paquete-v2  --> recompilas y guardas el xzm en modules
paquete v3 ---> el updater fallara si no sacas antes el v2 de modules ...


lo tengo que mirar esto ...aunque como digo ..cazurro si se van rompiendo y los vas acumulando  8)


en hdd esto no pasara , ya que al eliminar el anterior siempre queda solo el ultimo compilado ,y si se rompe, se suma uno al numero de build.

antonio-1.0-1sw
antonio-1.0-2sw  --> cuando este compila y acaba o.k , elimina la version anterios dejando solo la v2

sol666

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #624 en: 30-11-2015, 22:12 (Lunes) »
esto me sale al intentar actualizar mkvtoolnix

        ******************************
           Actualizador/Instalador   
           Paquete: mkvtoolnix
                                   
           www.seguridadwireless.net 
        ******************************

Version Script: 06/11/2015

La version del sistema es...NO INSTALADA

__________________________________________

La version mas nueva en su pagina web es...mkvtoolnix-

Pulsa ENTER si deseas actualizarla


/opt/wifislax-updaters/Funciones/funciones_updater: línea 140: [: NO INSTALADA: se esperaba un operador unario
Comprobando dependencias ...

Dependencia qt5 INSTALADA.

Descargando sources de mkvtoolnix-

wifislax Multimedia #



Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15482
Re: wifislax-updaters HILO 2
« Respuesta #625 en: 30-11-2015, 22:17 (Lunes) »
ese updater ha sido retirado ...en la proxima iso no vendra ni las qt5 tampoco


tener qt5 + qt4 provoca que casi todo intente compilar con las qt5 , mientras esta todo pensado para qt4 y se producen bastante situaciones desagradables al querer compilar cosas.

sol666

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #626 en: 30-11-2015, 22:20 (Lunes) »
ok,era solo para informar.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15482
Re: wifislax-updaters HILO 2
« Respuesta #627 en: 10-04-2016, 01:13 (Domingo) »
cambio en funciones , que tenia pensado hace tiempo , y hoy me he decidido a investigarlo ..


cuando cerramos de la x , o con ctrl+c  el temporal se borra ,...

pero si es el propio proceso NO SE BORRA ,para evitar tener que descargar de nuevo las fuentes.

¿que pasa con esto?

a veces falla a mitad de compilacion y se queda la carpeta con mitad de proceso ... y al volver a iniciarlo ,pilla restos del primer intento fallido , lo que provocara siempre fallos ...a menos que eliminemos manualmente el directorio de compilacion.



entonces pense que funciones deberia mirar , si hay directorios al comenzar ..por que no deberian existir ... entonces los borrar , sin tocar ficheros (descargas de sources etc) , solo directorios para asegurar la compilacion desde cero.


aqui el invento ...sencillo.


# Crea el directorio temporal de trabajo
f_directorioTemporal() {
   TMP=${TMP:-/tmp/build/$PRGNAM}
   PKG=$TMP/package-$PRGNAM
   OUTPUT=${OUTPUT:-/tmp}
   rm -rf $PKG
   mkdir -p $TMP
   cd $TMP
   DIRECTORIOS=`ls -d */|sed 's/.$//g'`
   for D in $DIRECTORIOS ;do
   rm -rf ./$D
   done

   mkdir -p $PKG $OUTPUT
}

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15482
Re: wifislax-updaters HILO 2
« Respuesta #628 en: 10-04-2016, 04:07 (Domingo) »
acabo de darme uenta sin querer de un problema..

los updaters que necesitan java para ejecutarse, piden jre ..

¿pero que ocurre si hemos instalado jdk?

que nos dice que no hay jre y lo instalara encima de jdk ... o uno u otro ...


asi que en los 3 o 4 updaters que piden jre ...voy a meter una variable.

si el usuario instalo jdk , la dependencia estar cubierta y no intentara mirar por jre.


Código: [Seleccionar]
# Comprobar dependencias
F_dependencias(){
JAVAVERSION=`echo "$(ls /var/log/packages|rev|cut -d '-' -f4-|rev|grep -x jdk)"`
if [ -z $JAVAVERSION ]; then
JAVAVERSION=jre
else
JAVAVERSION=jdk
fi
DEPENDENCIAS="$JAVAVERSION"
f_dependencias
}
« Última modificación: 10-04-2016, 04:10 (Domingo) por USUARIONUEVO »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15482
Re: wifislax-updaters HILO 2
« Respuesta #629 en: 10-04-2016, 05:08 (Domingo) »
bendito google...

la variable de eliminar otros directorios si existian a causa de un intento anterior..mostraba un bonito mensaje feo , cuando no habia nada que eliminar....


solucion vista en este post
http://stackoverflow.com/questions/2087001/how-can-i-process-the-results-of-find-in-a-bash-script



aplicada al funciones...

# Crea el directorio temporal de trabajo
f_directorioTemporal() {
   TMP=${TMP:-/tmp/build/$PRGNAM}
   PKG=$TMP/package-$PRGNAM
   OUTPUT=${OUTPUT:-/tmp}
   rm -rf $PKG
   mkdir -p $TMP
   cd $TMP
   find $TMP -name "*" -type d | while read line ; do
   rm -rf $line
   done

   mkdir -p $PKG $OUTPUT
}
« Última modificación: 10-04-2016, 05:37 (Domingo) por USUARIONUEVO »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15482
Re: wifislax-updaters HILO 2
« Respuesta #630 en: 10-04-2016, 06:39 (Domingo) »
lo he cagao   `o_o ´    toca deshacer ...   :P :P


ahora si , o eso creo ..


 ;D ;D


# Crea el directorio temporal de trabajo
f_directorioTemporal() {
   TMP=${TMP:-/tmp/build/$PRGNAM}
   PKG=$TMP/package-$PRGNAM
   OUTPUT=${OUTPUT:-/tmp}
   if [ -d $TMP ]; then
   cd $TMP
   find * -type d -print 2>/dev/null | while read line ; do
   rm -rf $TMP/$line
   done
   fi

   rm -rf $PKG
   mkdir -p $TMP $PKG $OUTPUT
   cd $TMP
}
« Última modificación: 10-04-2016, 08:28 (Domingo) por USUARIONUEVO »

vk496

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #631 en: 07-09-2016, 03:00 (Miércoles) »
@USUARIONUEVO Ojo a esto:

https://github.com/vk496/wifislax-updaters

La cosita que hay justo al lado del titulo del readme.

Si se arregla un poco el script para que sea mas presentable, podría ser útil.

Cada vez que hagas un push, hará la comprobación de todos los scripts. Además, puedes repetir el test en cualquier momento.

Si crees que sería útil en el repo oficial, avisame y lo meto

Salu2

trax69

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #632 en: 24-10-2016, 17:44 (Lunes) »
Perdón por revivir el hilo pero hay un cambio en el updater de armitage

En la linea 19 hay que cambiar esta linea

Código: [Seleccionar]
WEB=http://www.fastandeasyhacking.com/download
por esta otra

Código: [Seleccionar]
WEB=http://www.fastandeasyhacking.com/download/
una chorrada nada mas.Esta noche probare el hashcat y demas tengo curiosidad y mono.

Pd. Se ha quitado los updaters de drivers no ?

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15482
Re: wifislax-updaters HILO 2
« Respuesta #633 en: 26-10-2016, 23:40 (Miércoles) »
armitage FIXED

si , los updaters de driver se han quitado ... fallaban los dos ,el de nvidia y el de backports.

yah00000

  • Visitante
Re: wifislax-updaters HILO 2-ARMITAGE
« Respuesta #634 en: 02-11-2016, 06:01 (Miércoles) »
intenta el script de descargar Armitage y lo siguiente es lo que recibo'''''''''''''

www.seguridadwireless.net 
        ******************************

Version Script: 21/07/2016

La version del sistema es...NO INSTALADA

__________________________________________

La version mas nueva en su pagina web es...armitage-

Pulsa ENTER si deseas actualizarla


/opt/wifislax-updaters/Funciones/funciones_updater: line 138: [: NO INSTALADA: unary operator expected
Comprobando dependencias ...

Dependencia metasploit INSTALADA.
Dependencia jdk INSTALADA.

Descargando sources de armitage-
,,,,,,,,,,,,ayi termina el script y nada.........

 

yah00000

  • Visitante
Re: wifislax-updaters ,,UPDATERS-TEST resultad0s
« Respuesta #635 en: 02-11-2016, 06:18 (Miércoles) »
@USUARIONUEVO Ojo a esto:

https://github.com/vk496/wifislax-updaters

La cosita que hay justo al lado del titulo del readme.

Si se arregla un poco el script para que sea mas presentable, podría ser útil.

Cada vez que hagas un push, hará la comprobación de todos los scripts. Además, puedes repetir el test en cualquier momento.

Si crees que sería útil en el repo oficial, avisame y lo meto

Salu2
INtento update tonses use UPDATERS-test y lo siguiente es el resultado quisa x eso no pueda instaler Armitage?¿


Desconectado drvalium

  • Moderador Global
  • *
  • Mensajes: 17381
  • Misántropo
Re: wifislax-updaters HILO 2
« Respuesta #636 en: 07-11-2016, 22:13 (Lunes) »
hi

otra vez una de mis tontas dudas me aborda ;D

Estoy probando los updaters y lo que veo es que no es que actualicen, lo instalan todo, da igual si está el programa a actualizar o no, el lo instala todo incluido dependencias.

Me recuerda al instalador de Ubuntu y de ahí mi tonta duda ¿no seria mas lógico llamarlo instalador? ???


un salido

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15482
Re: wifislax-updaters HILO 2
« Respuesta #637 en: 08-11-2016, 10:01 (Martes) »
dr ,   es muy facil de entender.


si tu ya tienes el programa  "X" , los scripts actuan como actualizador para el programa "X"


pero ..si no tienes el programa , pues con el mismo script lo puedes instalar.



el script puede instalar y mantener actualizado el paquete ... ;D

fijate por ejemplo , si eliminas wireshark ... no van a aparecerte mas actualizaciones..por que si no lo tienes..no hay nada que actualizar , y si lo tienes entonces si ..por eso avisa de nueva version  8) 8)


lo de resolver las dependencias , instala las que yo le diga  ;D ;D ;D , jajajaja , soy yo en el propio script el que "dicta" , las dependencias.....ojo , que lo digo en tono broma , no es que las ponga por mis cojoncillos ...  es por que ya he verificado , que sin esas dependencias el paquete o no funciona , o funciona con menos opciones ... o directamente NO COMPILA , al configurar se para y te dice..oye, me falta esto ... 8)


ademas de los que digo de que el script  "MANTIENE AL DIA" , o ·INSTALA" , si no lo tienes aun , otra gran diferencia es que aqui no hay paquetes , todo se compila delante de ti .. ademas puedes verlos, editarlos, cambiar la config de los paquetes  etc etc etc.


mucha mas libertad de acciones.



« Última modificación: 08-11-2016, 10:03 (Martes) por USUARIONUEVO »

Desconectado geminis_demon

  • Colaborador
  • *
  • Mensajes: 2379
  • Prácticas precisas precisan práctica
Re: wifislax-updaters HILO 2
« Respuesta #638 en: 01-02-2017, 20:43 (Miércoles) »
Buenas.

El updater de kodi falla al intentar instalar la dependencia jdk

Código: [Seleccionar]
        ******************************
           Actualizador/Instalador   
           Paquete: kodi
                                   
           www.seguridadwireless.net 
        ******************************

Version Script: 29/01/2017

La version del sistema es...NO INSTALADA

__________________________________________

La version mas nueva en su pagina web es...kodi-16.1

Pulsa ENTER si deseas actualizarla


Comprobando dependencias ...

Dependencia dcadec INSTALADA.
Dependencia libass INSTALADA.
Dependencia libmpeg2 INSTALADA.
Dependencia tinyxml INSTALADA.
Dependencia jdk NO INSTALADA ...resolviendo.

No se puedo resolver la dependencia jdk.



Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15482
Re: wifislax-updaters HILO 2
« Respuesta #639 en: 01-02-2017, 22:41 (Miércoles) »
He vuelto a poner jdk , en vez de openjdk , la razon es ahorrarme la compilacion del codigo fuente de las openjdk , ademas que slackbuilds utiliza muchisimo mas jdk.


dejo el xzm con jdk ultima version
http://www.mediafire.com/file/t9l5b4b8oayanq1/011-Jdk-8u121.xzm


voy a resubir el updater de jdk

LEER

si usas modo live , debes eliminar el modulo openjdk ,y poner este en su lugar
si tienes wifislax en el hdd

Código: [Seleccionar]
removepkg openjdky despues click derecho sobre el fichero jdk ,autoinstala y reiniciar.

Obligatorio reiniciar
« Última modificación: 01-02-2017, 23:40 (Miércoles) por USUARIONUEVO »